=== debian/changelog ===
wings3d (1.5.3-2) unstable; urgency=low

  * Switched to libjpeg-dev from libjpeg8-dev build-dependency.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 29 Sep 2014 22:26:05 +0400

wings3d (1.5.3-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 05 May 2014 17:00:58 +0400

wings3d (1.5.2-2) unstable; urgency=low

  * Switched back from the 'make wx' to just 'make' when building the
    package (closes: #740063).
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 06 Mar 2014 21:17:18 +0400

wings3d (1.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 16 Dec 2013 15:50:45 +0400

wings3d (1.5.1-1) unstable; urgency=low

  * New upstream release.
  * Removed no longer necessary patches.
  * Added build-dependency and dependency on erlang-cl.
  * Switched to build-dependency on libjpeg8-dev instead of virtual
    package libjpeg-dev.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 23 Nov 2013 09:11:33 +0400

wings3d (1.4.1-5) unstable; urgency=low

  * Replaced suggested dependency on no longer existing yafray package by
    the dependency on yafaray.
  * Fixed displaying numbers in a volume and area info dialog.
  * Fixed importing ASCII STL files (closes: #698349).
  * Switched to 3.0 (quilt) source format.
  * Bumped standards version to 3.9.4.
  * Use the true original tarball (compressed by bzip2, without recompressing
    it using gzip).
  * Applied patch by upstream to make the package buildable in Erlang R16B.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 09 May 2013 22:00:36 +0400

wings3d (1.4.1-4) unstable; urgency=low

  * Upload to unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 13 Jan 2012 13:50:09 +0400

wings3d (1.4.1-3) experimental; urgency=low

  * Switched to erlang-wx to manage GL output. This makes wings3d compatible
    with the newer erlang-esdl (>= 1.2) package.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 23 Dec 2011 22:37:19 +0400

wings3d (1.4.1-2) experimental; urgency=low

  * Removed menu from the suggested packages list (closes: #647386).
  * Fixed loading Erlang drivers into R15B (only those which are actually
    enter the binary package).
  * Upload to experimental where Erlang R15B is currently.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 17 Dec 2011 12:17:33 +0400

wings3d (1.4.1-1) unstable; urgency=low

  * New upstream development release.
  * Bumped dependency on erlang-dev to 1:14.b because it doesn't work with
    earlier versions anymore.
  * Bumped standards version to 3.9.2.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 13 Jun 2011 16:10:08 +0400

wings3d (1.2-1) unstable; urgency=low

  * New upstream release.
  * Switched from cdbs to debhelper 7 with quilt.
  * Removed all unneeded README files from plugins subdirectories.
  * Don't build fonts from plugins_src directory as they are removed from the
    upstream package.
  * Switched to libjpeg-dev build dependency from libjpeg62-dev.
  * Bumped standards version to 3.8.4.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 14 Feb 2010 13:56:56 +0300

wings3d (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Removed Torsten Werner from the uploaders list as per his request.
  * New maintainer's email address pkg-erlang-devel@lists.alioth.debian.org
    mailing list.
  * Added debian/README.source file with a reference to
    /usr/share/doc/quilt/README.source.
  * Overridden lintian warning
    virtual-package-depends-without-real-package-depends because it's
    intentional to depend on erlang-abi-* separately.
  * Bumped standards version to 3.8.3.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 30 Sep 2009 14:53:20 +0400

wings3d (1.0.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 08 Jun 2009 22:15:09 +0400

wings3d (1.0-1) unstable; urgency=low

  * New upstream release.
  * Changed Wings3D menu icon following upstream.
  * Use renamed erlang-esdl package as a dependency instead of libsdl-erlang.
  * Remove generated vsn.mk in clean target of debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 26 May 2009 22:03:09 +0400

wings3d (1.0~rc1-1) unstable; urgency=low

  * New upstream release candidate.
  * Fixed debian/watch control file to understand release candidiates.
  * Added suggested dependencies on erlang-dialyzer and erlang-tools packages
    which can be used in Erlang shell of running Wings3D application.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 02 May 2009 12:17:43 +0400

wings3d (0.99.55-1) experimental; urgency=low

  * New upstream development release.
  * Added build dependency on erlang-dev 1:13.b or newer to simplify transition
    to Erlang R13B.
  * Added environment variable ESDL_PATH and option -pa /usr/lib/esdl/ebin to
    script which starts wings3d to match changes in libsdl-erlang package.
  * Bumped standards version to 3.8.1.
  * Instructed uscan control file debian/watch to use SourceForge redirector.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 22 Apr 2009 22:10:30 +0400

wings3d (0.99.06-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 16 Feb 2009 14:08:42 +0300

wings3d (0.99.03-3) unstable; urgency=low

  * Replaced parallel processing of language files by sequential one because
    it hangs sometimes causing FTBFS.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 25 Jun 2008 17:29:04 +0400

wings3d (0.99.03-2) unstable; urgency=low

  * Moving to unstable because the changes with respect to 0.99.02 are
    minor.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 24 Jun 2008 17:04:53 +0400

wings3d (0.99.03-1) experimental; urgency=low

  * New upstream development release.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 22 Jun 2008 12:38:05 +0400

wings3d (0.99.02-2) unstable; urgency=low

  * The upstream release was considered stable, so moved it to sid.

