=== debian/changelog ===
wings3d (1.5.4-1) unstable; urgency=medium

  * New upstream release.
  * Removed unnecessary patches.
  * Added a patch which allows one to build Wings3d plugins without the
    previous version installed system-wide.
  * Removed the Wings3d menu file because the desktop file is replacing it.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 17 Nov 2015 13:24:41 +0300

wings3d (1.5.3-3) unstable; urgency=medium

  * Fixed FTBFS with Erlang 18 due to calling deprecated function
    erlang:now/0 (closes: #791415).
  * Bumped standards version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 04 Aug 2015 11:12:56 +0300
