=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 8.0.0), grep-dctrl,
  erlang-dev (>= 1:15.b), erlang-esdl-dev (>= 1.2), erlang-cl,
  libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libjpeg-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.wings3d.com
