=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	    >> debian/wings3d.substvars
 
 get-orig-source:
-	wget -O wings3d_1.5.3.orig.tar.bz2 \
-	    http://prdownloads.sourceforge.net/wings/wings-1.5.3.tar.bz2
+	wget -O wings3d_1.5.4.orig.tar.bz2 \
+	    http://prdownloads.sourceforge.net/wings/wings-1.5.4.tar.bz2
 
 .PHONY: override_dh_clean override_dh_auto_build override_dh_install get-orig-source
